<?

require'config.php';
$align='left';
$title='Правила чата ';
head();

switch($_GET['modul']){
default:
########################
if ($_GET['ok'] == 1)echo '<b>Теперь вы можете приступить к редактированию правил.</b>';
if ($_GET['ok'] == 2)echo '<b>Правила успешно отредактированы.</b>';
if ($_GET['err'] == 1)echo '<b>При установки возникла ошибка.</b>';
if ($_GET['err'] == 2)echo '<b>При редактирование произошла ошибка.</b>';
if ($_GET['err'] == 3)echo '<b>Отказ в доступе.</b>';
if ($_GET['err'] == 4)echo '<b>Сбой при установки,возможно правила уже установлены.</b>';
echo '<hr/>';
$cnt=$db->sql_fetchfield($db->sql_query("select count(*) as num from ustav"),0);
$q=$db->sql_query("select * from `ustav` limit 1");
while($pr=$db->sql_fetchrow($q))
{
echo text($pr['ustav']);
}
if ($cnt == 0)
{
echo 'Павила еще не установлены.<br/>';
if ($user['level']>6)echo '<b><a href="ustav?modul=inst">Установить правила</a></b><br/>';
}
 else
{
if ($user['level']>6)echo '<hr/><a href="ustav?modul=edit">Редактировать правила</a><hr/>';
}
#########################

break;

case inst:
if ($user['level']<6)
{
header ('Location: ustav?err=3'.SID);exit;
}
$cnt=$db->sql_fetchfield($db->sql_query("select count(*) as num from ustav"),0);
if ($cnt == 1)
{
header ('Location: ustav?err=4'.SID);exit;
}
if ($db->sql_query("insert into `ustav` (ustav) values 
('[b]1[/b].Запрещено рекламировать любые сайты в любом контексте! (в эфире,в привате, в письмах).
[b]2[/b].Запрещено оскорбление других чатлан, а также создание конфликтных ситуаций и нагнетание обстановки в чате. 
[b]3[/b].Запрещена ненормативная лексика (мат) во всех комнатах, кроме комнат Сортир и Умник 2.
[b]4[/b].Запрещено флудить (флуд - повторение идентичных по смыслу или написанию фраз, или размещение бессмысленных сообщений и сообщений, содержащих чрезмерное количество символов, смайлов). Запрещен во всех комнатах чата!
[b]5[/b].Запрещено злоупотреблять верхним регистром букв (писать большими буквами) и ПрЫжКаМи РеГиСтРа!
[b]6[/b].Язык общения в Чате РУССКИЙ!
[b]7[/b].Ник Пользователя и Его личная информация (анкета, в т.ч. и фото) НЕ должны содержать в себе ненормативной лексики, некорректных и оскорбительных высказываний. Это правило распространяется на ВСЕ комнаты чата!
[b]8[/b].Запрещена пропаганда насилия, расизма, политических и националистический идей, извращений и антихристианства. 
[b]9[/b].Запрещен плагиат (клонирование) в любом его проявлении! Плагиат Ника, Статуса и тд. 
[b]10[/b].Запрещено оспаривать решение Модератора, оскорблять его , а также доставать с просьбами о персональном статусе, смене ника и подобных вещам, если они Вам еще не положены! При наборе 10 000 постов Пользователь имеет право на Персональный Статус и смену Ника!
[b]11[/b].Нарушение любого из пунктов данных Правил будет наказываться баном, пинком, либо другими видами наказания по усмотрению Модератора! 
[b]12[/b].Если возникшая ситуация не описана в Правилах Чата, то она решается по усмотрению Модератора.
[b]13[/b].Оскорбление Администрации ЗАПРЕЩЕНО (во всех комнатах)! 
[b]14[/b].Претензии на действия Модеров принимаются Админами только в том случае, если они противоречили настоящим ПРАВИЛАМ. Решения Админа являются Окончательными и Обжалованию НЕ подлежат! 
[b]15[/b].Админ не рассматривает просьбы о присвоении модерских полномочий, смене ника или статуса!')"))
{
header ('Location: ustav?ok=1'.SID);
}
 else
{
header ('Location: ustav?err=1'.SID);
}
break;

case edit:
if ($user['level']<6)
{
header ('Location: ustav?err=3'.SID);exit;
}
if (empty($_POST['ustav']))
{
echo '<form action="ustav?modul=edit" method="post">';
$q=$db->sql_query("select * from `ustav` limit 1");
$a=$db->sql_fetchrow($q);
echo '<hr/>';
echo '<textarea cols="60" rows="4" name="ustav" >'.$a['ustav'].'</textarea><br/>';
echo '<input type="submit" class="ibutton" value="Редактировать"/></form><br />';
echo '<hr/>';
echo '<a href="ustav?">Смотреть правила</a><br/>';
if ($user['level']>6)echo '<a href="/admin/">админка</a><br/>';
echo '<hr/>';
}
 else
{
$ustav = htmlspecialchars($_POST['ustav']);
if ($db->sql_query("update `ustav` set `ustav` ='".$ustav."'")){
header ('Location: ustav?ok=2'.SID);}else{header ('Location: ustav?err=2'.SID);}
}
break;
}
if (isset($user))echo gb.'<a href="enter">Прихожая</a>'.div;
else echo gb.'<a href="reg">Регистрация</a>'.div;
foot();
?>